https://invent.kde.org/pim/messagelib/-/commit/6eaef36d42bdb05f3412c178e53077fb6224ff80
https://invent.kde.org/pim/messagelib/-/commit/3edc93673f94604c203be1c899dffb25575985db

From 6eaef36d42bdb05f3412c178e53077fb6224ff80 Mon Sep 17 00:00:00 2001
From: Laurent Montel <montel@kde.org>
Date: Wed, 25 May 2022 08:50:26 +0200
Subject: [PATCH] Use WebEngineWidgets as WebEngine is not define in qt6

--- a/webengineviewer/KF5WebEngineViewerConfig.cmake.in
+++ b/webengineviewer/KF5WebEngineViewerConfig.cmake.in
@@ -1,4 +1,4 @@
 @PACKAGE_INIT@
 include(CMakeFindDependencyMacro)
-find_dependency(Qt@QT_MAJOR_VERSION@WebEngine "@QT_REQUIRED_VERSION@")
+find_dependency(Qt@QT_MAJOR_VERSION@WebEngineWidgets "@QT_REQUIRED_VERSION@")
 include("${CMAKE_CURRENT_LIST_DIR}/KF5WebEngineViewerTargets.cmake")
GitLab
From 3edc93673f94604c203be1c899dffb25575985db Mon Sep 17 00:00:00 2001
From: Heiko Becker <heiko.becker@kde.org>
Date: Sun, 17 Jul 2022 00:07:56 +0200
Subject: [PATCH] Add missing find_dependency calls

There are probably more used in the public link interface, but these
were enough to fix building dependents with cmake 3.24.0-rc3, which
seems to be stricter than 3.23.x.
--- a/messagecomposer/KF5MessageComposerConfig.cmake.in
+++ b/messagecomposer/KF5MessageComposerConfig.cmake.in
@@ -2,6 +2,7 @@
 include(CMakeFindDependencyMacro)
 find_dependency(KF5Mime "@KMIME_LIB_VERSION@")
 find_dependency(KF5MessageCore "@MESSAGELIB_LIB_VERSION@")
+find_dependency(KF5TemplateParser "@MESSAGELIB_LIB_VERSION@")
 find_dependency(KF5PimCommon "@PIMCOMMON_LIB_VERSION@")
 find_dependency(KF5Akonadi "@AKONADI_VERSION@")
 find_dependency(KF5IdentityManagement "@IDENTITYMANAGEMENT_LIB_VERSION@")
--- a/messagecore/KF5MessageCoreConfig.cmake.in
+++ b/messagecore/KF5MessageCoreConfig.cmake.in
@@ -1,4 +1,5 @@
 @PACKAGE_INIT@
 include(CMakeFindDependencyMacro)
 find_dependency(KF5Mime "@KMIME_LIB_VERSION@")
+find_dependency(KF5MimeTreeParser "@MESSAGELIB_LIB_VERSION@")
 include("${CMAKE_CURRENT_LIST_DIR}/KF5MessageCoreTargets.cmake")
--- a/messageviewer/KF5MessageViewerConfig.cmake.in
+++ b/messageviewer/KF5MessageViewerConfig.cmake.in
@@ -3,6 +3,7 @@ include(CMakeFindDependencyMacro)
 find_dependency(KF5PimCommon "@PIMCOMMON_LIB_VERSION@")
 find_dependency(KF5MessageCore "@MESSAGELIB_LIB_VERSION@")
 find_dependency(KF5MimeTreeParser "@MESSAGELIB_LIB_VERSION@")
+find_dependency(KF5WebEngineViewer "@MESSAGELIB_LIB_VERSION@")
 find_dependency(KF5Akonadi "@AKONADI_VERSION@")
 find_dependency(KF5Mime "@KMIME_LIB_VERSION@")
 find_dependency(KF5Contacts "@KF5_MIN_VERSION@")
--- a/templateparser/KF5TemplateParserConfig.cmake.in
+++ b/templateparser/KF5TemplateParserConfig.cmake.in
@@ -1,3 +1,7 @@
 @PACKAGE_INIT@
 
+include(CMakeFindDependencyMacro)
+find_dependency(KF5MimeTreeParser "@MESSAGELIB_LIB_VERSION@")
+find_dependency(KF5MessageCore "@MESSAGELIB_LIB_VERSION@")
+
 include("${CMAKE_CURRENT_LIST_DIR}/KF5TemplateParserTargets.cmake")
GitLab
